-- ##########################################################
-- #	showRPM												#
-- #														#
-- #	author: Webby										#
-- #	date: 09.07.2012									#
-- #	updated: 06.09.2012									#
-- #	version: 1.1										#
-- #														#
-- #	Changelog:											#
-- #	v1.0 = initial implementation						#
-- #	v1.1 = HUD position / manualIgnition compatible		#
-- #														#
-- #	THX 4 Help 2: modelleicher and Bluebaby210			#
-- #														#
-- #		   DO NOT COPY OR CHANGE THIS SCRIPT!			#
-- ##########################################################

showRPM = {};

function showRPM.prerequisitesPresent(specializations)
	print("RPM Hud Script v1.2 by Webby loaded!");
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function showRPM:load(xmlFile)
	self.showRPM = {};
	self.showRPMPosX = 0.8543; -- Horizontal verschieben
    self.showRPMWidth = 0.134; -- Overlaytextur Breite
    self.showRPMPosY = 0.2125; -- Vertikal verschieben
    self.showRPMHeight = 0.04; -- Overlaytextur Hhe
	self.showRPMHudOverlay = Overlay:new("RPMHUDOverlay", Utils.getFilename("Textur/rpmHud.png", self.baseDirectory), self.showRPMPosX, self.showRPMPosY, self.showRPMWidth, self.showRPMHeight);
	self.RenderText = true;
end;

function showRPM:delete()
end;

function showRPM:mouseEvent(posX, posY, isDown, isUp, button)
end;

function showRPM:keyEvent(unicode, sym, modifier, isDown)
end;

function showRPM:update(dt)
	if self:getIsActiveForInput() then
		if self.isMotorStarted == false then
			setTextBold(true);
			setTextAlignment(RenderText.ALIGN_RIGHT);
			setTextColor(1, 0, 0, 1);
			renderText(self.showRPMPosX + 0.105, self.showRPMPosY + 0.010, 0.022, "OFF");
		end;
		if self.isMotorStarted == true then	
			if self.motor.lastMotorRpm > 1900 then
				setTextBold(true);
				setTextAlignment(RenderText.ALIGN_RIGHT);
				setTextColor(1, 0, 0, 1);
				renderText(self.showRPMPosX + 0.105, self.showRPMPosY + 0.010, 0.022, tostring(math.floor(self.motor.lastMotorRpm)));
			else
				setTextBold(true);
				setTextAlignment(RenderText.ALIGN_RIGHT);
				setTextColor(0, 1, 0, 1);
				renderText(self.showRPMPosX + 0.105, self.showRPMPosY + 0.010, 0.022, tostring(math.floor(self.motor.lastMotorRpm)));
			end;
		end;
	end;
end;

function showRPM:draw()
	self.showRPMHudOverlay:render();
end;

function showRPM:onLeave()
	self.RenderText = false;
end;
